using System;
using System.Linq;

[Serializable]
public class CameraContainerSerializable : ObjectContainerSerializable
{
    public CameraContainerSerializable() { }

    public CameraContainerSerializable(CameraContainer container)
    {
        GUID = "cameraOrbit";
        Frames = container.Frames.Select(f => new FrameContent(f)).ToList();
    }
}
